aboutsummaryrefslogtreecommitdiff
path: root/installer
diff options
context:
space:
mode:
authormattn <mattn.jp@gmail.com>2020-02-19 18:49:44 +0900
committerGitHub <noreply@github.com>2020-02-19 18:49:44 +0900
commit2c1fe5782270140855749eb14f6ac5e9edde425c (patch)
tree0d839b903af8787dd9e774a9f475f018da3f554b /installer
parentac35fe1181439920d12a77d38cea0f2fd649eb4d (diff)
parent6198d0512be28fc2eeb6dfa7bf2a18f8c7f31ee3 (diff)
downloadvim-lsp-settings-2c1fe5782270140855749eb14f6ac5e9edde425c.tar.gz
vim-lsp-settings-2c1fe5782270140855749eb14f6ac5e9edde425c.tar.bz2
vim-lsp-settings-2c1fe5782270140855749eb14f6ac5e9edde425c.zip
Merge pull request #168 from h-michael/rust-analyzer
rust-analyzer: add rust-analyzer
Diffstat (limited to 'installer')
-rw-r--r--installer/install-rust-analyzer.cmd5
-rwxr-xr-xinstaller/install-rust-analyzer.sh20
2 files changed, 25 insertions, 0 deletions
diff --git a/installer/install-rust-analyzer.cmd b/installer/install-rust-analyzer.cmd
new file mode 100644
index 0000000..f204545
--- /dev/null
+++ b/installer/install-rust-analyzer.cmd
@@ -0,0 +1,5 @@
+@echo off
+
+curl -L -o rust-analyzer-windows.exe "https://github.com/rust-analyzer/rust-analyzer/releases/download/2020-02-18/rust-analyzer-windows.exe"
+
+move rust-analyzer-windows.exe rust-analyzer.exe
diff --git a/installer/install-rust-analyzer.sh b/installer/install-rust-analyzer.sh
new file mode 100755
index 0000000..fc0afb1
--- /dev/null
+++ b/installer/install-rust-analyzer.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+set -e
+
+os=$(uname -s | tr "[:upper:]" "[:lower:]")
+
+case $os in
+linux)
+ platform="linux"
+ ;;
+darwin)
+ platform="mac"
+ ;;
+esac
+
+version="2020-02-18"
+curl -L -o ra_lsp_server-$platform "https://github.com/rust-analyzer/rust-analyzer/releases/download/$version/rust-analyzer-$platform"
+
+mv rust-analyzer-$platform rust-analyzer
+chmod +x rust-analyzer